﻿@using System.Web.UI.WebControls
@using System;
@using System.Linq;
@using System.Web;
@using System.Web.Mvc;
@using System.Data;
@model Toyota.Common.Web.MVC.ModelHolder
@{
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
@section Style{

}

<script type="text/javascript">
    
     $( document ).ready(function() {
        btnSave.SetEnabled(false);
    });

    function OnBeginCallback(s, e) {
        e.customArgs["IcsUser"] = txtIcsUser.GetText();
        e.customArgs["LdapUser"] = txtLdapUser.GetText();
    }

    function SearchData(s, e) {
        GridICSUser.PerformCallback();
    }

    function ICSUserConfrmCancel() {
        popupConfrmDeleteICSUser.Hide();
    }

    function AddICSUser() {
        popupNewICSUser.SetHeaderText('Add ICS User');
        popupNewICSUser.Show();
        status='new';
        txticsusername.SetText('');
        txtldapusername.SetText('');
    }

    var GetIcsUser='';
    var GetLdapUser='';
    var status='';
    var tempicsuser='';
    var templdapuser='';


    function ICSUserDeleteLink(s, e) {
        popupConfrmDeleteICSUser.Show();
        var i = '';
        i = s.name.substring(14);
        GetIcsUser = $('#GridICSUser').find('#ICSUserNameLabel' + i).filter(':first');
        GetLdapUser = $('#GridICSUser').find('#LDAPUserNameLabel' + i).filter(':first');
    }

    function ICSUserDelCancel(s, e){
        popupConfrmDeleteICSUser.Hide();
    }

    function ICSUserConfrmOk(s, e) {
        $.ajax(
            {
                type: "POST",
                url: "@Url.Content("~/ICSUserMapping/DeleteICSUser")",
                data:
                {
                    pICSUser: GetIcsUser.text().toString(),
                    pLDAPUser: GetLdapUser.text().toString()
                }, //Nama grid
                success: function (result) {
                    popupConfrmDeleteICSUser.Hide();
                    GridICSUser.PerformCallback();        
                },
                error: function (result) {
                    alert("Error when update data");
                }
            });
    }

    function ICSUserEditLink(s, e) {
        var i = '';
        var GetIcsUserName='';
        var GetLdapUserName='';
        i = s.name.substring(15);
        status='edit';
 
        GetIcsUserName = $('#GridICSUser').find('#ICSUserNameLabel' + i).filter(':first');
        GetLdapUserName = $('#GridICSUser').find('#LDAPUserNameLabel' + i).filter(':first');
        txticsusername.SetText(GetIcsUserName.text());
        txtldapusername.SetText(GetLdapUserName.text());
        btnSave.SetEnabled(true);
        tempicsuser = GetIcsUserName.text();
        templdapuser = GetLdapUserName.text();
        popupNewICSUser.SetHeaderText('Update ICS User');
        popupNewICSUser.Show();
    }

    function ClearItem(s, e) {
        txtIcsUser.SetText('');
        txtLdapUser.SetText('');
        GridICSUser.PerformCallback();
    }

    function CancelAddNew(s, e) {
        popupNewICSUser.Hide();
        status='';
    }

    function AddNewUser(s, e) {
       var txtuserics = txticsusername.GetText();
       var txtldapuser = txtldapusername.GetText();
       
       if (status =='new') 
        {
           tempicsuser = '';
           templdapuser = '';
        }
 
       if (txtuserics != "" &&  txtldapuser !="") {
          
           $.ajax(
            {
                type : "POST",
                url: "@Url.Content("~/ICSUserMapping/SaveData")",
                async: false,
                data :
                {
                    picsuser : tempicsuser,
                    pldapuser: templdapuser,
                    ptempics : txtuserics,
                    ptempldap: txtldapuser,
                    pstatus: status,
                },
                success : function(result)
                {
                    alert(result);
                    popupNewICSUser.Hide();
                    txtIcsUser.SetText('');
                    txtLdapUser.SetText('');
                    GridICSUser.PerformCallback();
                },
                error : function (result)
                {
                    alert(result);
                    popupNewICSUser.Hide();
                    txtIcsUser.SetText('');
                    txtLdapUser.SetText('');
                    GridICSUser.PerformCallback();        
                }
            });
           status='';
           tempicsuser = '';
           templdapuser = '';
        }
        else {
             alert("Data Must Be Filled");
        }
    }

    function  ValTypeIcs(s, e) {
        var field = s.GetText();
        var txtldap = txtldapusername.GetText();
        if (field !="" && txtldap !="")
            btnSave.SetEnabled(true);
    }
    
    function ValTypeLdap(s, e) {
         var field = s.GetText();
         var txtics = txticsusername.GetText();
        if (field !="" && txtics !="")
             btnSave.SetEnabled(true);
    }

</script>

<div style="display: table; border: 1px solid #142B94; background-color: #DEECFD;padding: 10px;">
    @{
        Html.RenderPartial("HeaderICSUserMapping");
     }
</div>
<div style="height: 8px;"></div>
<div>
    @Html.Partial("GridICSUserMapping", Model)
</div>

@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupNewICSUser";
    settings.CallbackRouteValues = new { Controller = "ICSUserMapping", Action = "PartialPopupNewICSUser" };
    settings.HeaderText = "Master ICS User Add";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(100);
    settings.SetContent(() =>
    {
        Html.RenderAction("PartialPopupICSUserAdd", "ICSUserMapping");
    });
}).GetHtml()


@Html.DevExpress().PopupControl(
    settings =>
    {
        settings.Name = "popupConfrmDeleteICSUser";
        settings.ShowHeader = false;
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(250);
        settings.Height = System.Web.UI.WebControls.Unit.Pixel(140);
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.ShowShadow = true;
        settings.CloseAction = CloseAction.None;
        settings.SetContent(() =>
        {
            Html.RenderPartial("PopupConfrmDelICSUser");
        });
    }).GetHtml()